=== debian/changelog ===
google-mock (1.4.0-3) unstable; urgency=low

  * Quick fix for test failure on big endian architectures (Closes: #580514)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 17 May 2010 20:06:27 +0200

google-mock (1.4.0-2) unstable; urgency=low

  * Depend on libgtest instead of building internal version (Closes: #580770)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 16 May 2010 06:56:38 +0200

google-mock (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #575953)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 30 Mar 2010 20:15:41 +0200
