=== debian/control ===
Source: google-mock
Section: devel
Priority: optional
Maintainer: Fredrik Hallenberg <hallon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/googlemock/

Package: google-mock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.5.0)
Description: Google's framework for writing and using C++ mock classes
 Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
 specifics in mind, it can help you derive better designs of your 
 system and write better tests.
 .
 Google Mock:
 .
  - provides a declarative syntax for defining mocks,
  - can easily define partial (hybrid) mocks, which are a cross of real
    and mock objects,
  - handles functions of arbitrary types and overloaded functions,
  - comes with a rich set of matchers for validating function arguments,
  - uses an intuitive syntax for controlling the behavior of a mock,
  - does automatic verification of expectations (no record-and-replay
    needed),
  - allows arbitrary (partial) ordering constraints on
    function calls to be expressed,
  - lets a user extend it by defining new matchers and actions.
  - does not use exceptions, and
  - is easy to learn and use.
