## google-mock 1.5.0

=== debian/changelog ===
google-mock (1.5.0-2) unstable; urgency=low

  * Improve sloppy linking (closes: #615727)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 01 Mar 2011 22:11:28 +0100

google-mock (1.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #613519)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 18 Feb 2011 08:15:43 +0100
