=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
