## google-mock 1.6.0

=== debian/changelog ===
google-mock (1.6.0-1) unstable; urgency=low

  * New upstream release (closes: #631676)

    As of this version upstream does not recommend using precompiled libraries
    so the package now only contains sources and includes. See the
    README.Debian file for instructions on how to build your own gmock
    library.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 06 Jul 2011 09:31:47 +0200

google-mock (1.5.0-3) unstable; urgency=low

  * Removed .la-files (closes: #621241)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 31 May 2011 08:52:15 +0200
