=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.5.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.6.0)
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.5.0)
+Depends: ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.6.0)
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your
