## google-mock 1.6.0%2Bsvn437

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: google-mock
 Section: devel
 Priority: optional
-Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-support, libgtest-dev (>= 1.6.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fredrik Hallenberg <hallon@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), cmake, python
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/googlemock/
 
 Package: google-mock
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, libgtest-dev (>= 1.6.0)
+Multi-Arch: same
+Depends: ${misc:Depends}, ${python:Depends}
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your
