## google-mock 1.6.0+svn437

=== debian/changelog ===
google-mock (1.6.0+svn437-0ubuntu5) saucy; urgency=low

  * No change rebuild to gain python:any dependency, britney now knows
    about that.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 16 Sep 2013 16:35:37 +0100

google-mock (1.6.0+svn437-0ubuntu4) saucy; urgency=low

  * Revert doko's depends on python:any, britney doesn't understand it

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Aug 2013 11:06:12 +0200

google-mock (1.6.0+svn437-0ubuntu3) saucy; urgency=low

  * Make google-mock Multi-Arch: same (even the generated files
    look like the same). Alternative would be M-A: foreign, or
    just provide an architecture independent package.
  * Depend on python:any.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2013 14:05:04 +0200

google-mock (1.6.0+svn437-0ubuntu2) saucy; urgency=low

  * Since this package includes its own copy of gtest, it shouldn't depend
    on gtest. Otherwise it's hard to mask /usr/include with
    /usr/src/gmock/gtest/include, and results in build-failures since this
    package is not compatible with older gtest.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 15:23:28 +0100

google-mock (1.6.0+svn437-0ubuntu1) saucy; urgency=low

  [ Matthias Klose ]
  * Merge with Debian, discard the Ubuntu changes.
  * Build using dh_python2.

  [ Didier Roche ]
  * New upstream snapshot (LP: #1185265)
  * Remove explicit build with external gtest (not anymore supported upstream)
  * Add debian/patches/include_system_path.patch to reinclude system path in
    mock
  * Include python build-dep as built with dh_python2
  * Add missing cmake build-dep
  * Ship CMakeLists.txt as a convenience for other packages using gmock and
    cmake and update debian/README.Debian with an example to use it
  * Ship gtest internal version with google-mock, as the snapshot doesn't work
    with the system old gtest, ignore during installation some project files
  * debian/patches/support_gcc_4.7.patch: support older gcc with C++11 (disabled
    for now)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Jul 2013 09:54:08 +0200
