## google-mock 1.7.0

=== debian/changelog ===
google-mock (1.7.0-2) unstable; urgency=low

  * Distribute CmakeLists.txt in /usr/src/gmock (closes: #666439)
  * Clean obsolete patches.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 28 Jul 2013 16:51:21 +0200

google-mock (1.7.0-1) unstable; urgency=low

  * New upstream releases (closes: #716944) to stay compatible 
    with gtest.
  * add debian/source/options and ignore the subdirectory .pc in it
  * Non-maintainer upload with permission of the maintainer

 -- Andreas Barth <aba@ayous.org>  Sat, 27 Jul 2013 18:38:51 +0000
