=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --without pysupport $@

override_dh_auto_install:
	true

override_dh_auto_configure:
	dh_auto_configure -- --enable-external-gtest

override_dh_install:
	dh_install
	for f in $$(ls debian/google-mock/usr/bin/*.py); do mv $$f $$(echo $$f | sed s/\.py//); done
	chmod a-x debian/google-mock/usr/share/gmock/cpp/*
