## google-mock 1.7.0-18092013

=== debian/changelog ===
google-mock (1.7.0-18092013-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * The previous upload fixed google-mock for its own testsuite, but not for
    client projects. Backport a patch from an upstream issue to modify some
    functions to not return NULL, working around the problem caused for
    google-mock itself and for its clients. (Closes: #833449) (LP: #1609793)
  * This means we don't need -fno-delete-null-pointer-checks any more, so
    remove that workaround.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 04 Aug 2016 15:37:37 +0100

google-mock (1.7.0-18092013-2) unstable; urgency=medium

  * Use -fno-delete-null-pointer-checks to work with gcc 6.
    (closes: #812289). Just a workaround, hopefully a proper fix is
    done in a future upstream release.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 29 Jun 2016 17:32:19 +0200

google-mock (1.7.0-18092013-1) unstable; urgency=medium

  * New upstream archive based on gmock-1.7.0.zip from 18-09-2013. 
    The current 1.7.0 orig archive is from July 2013, I suppose it was 
    a prerelease of some sort. (closes: #750214)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 02 Jun 2014 21:04:10 +0200

google-mock (1.7.0-4) unstable; urgency=medium

  * Fixed python dependency (closes: #746659)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 02 May 2014 22:50:38 +0200

google-mock (1.7.0-3) unstable; urgency=medium

  * Applied patch from Dimitri John Ledkov <xnox@debian.org> with the changes 
    below. (closes: #745577)
  * Bump debhelper compat to 9 & clean up
  * Mark google-mock as Multi-Arch:same, to allow cross-building package
    that build-depend on google-mock.
  * Depend on python:any.

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 01 May 2014 22:18:27 +0200
