=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Fredrik Hallenberg <hallon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtest-dev (>= 1.6.0)
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/googlemock/
+Build-Depends: debhelper (>= 9), autotools-dev, libgtest-dev (>= 1.6.0)
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/googletest/tree/master/googlemock
 
 Package: google-mock
 Architecture: any
-Depends: ${misc:Depends}, libgtest-dev (>= 1.6.0), python
+Multi-Arch: same
+Depends: ${misc:Depends}, python:any, libgtest-dev (>= 1.6.0)
 Description: Google's framework for writing and using C++ mock classes
  Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s 
  specifics in mind, it can help you derive better designs of your
